Subject: Re: [PATCH RFC net-next 0/3] Restructure drivers/net/phy

From: Andrew Lunn <[email-masked]>
Date: Tue, 28 Jul 2020 18:08:02 +0200

> I think that the MAINTAINERS file should also be updated to mention the new
> path to the drivers. Just did a quick grep after 'drivers/net/phy':
> F:      drivers/net/phy/adin.c      
> F:      drivers/net/phy/mdio-xgene.c
> F:      drivers/net/phy/            
> F:      drivers/net/phy/marvell10g.c
> F:      drivers/net/phy/mdio-mvusb.c
> F:      drivers/net/phy/dp83640*    
> F:      drivers/net/phy/phylink.c   
> F:      drivers/net/phy/sfp*        
> F:      drivers/net/phy/mdio-xpcs.c

Hi Ioana

Thanks, I will take care of that.

> Other than that, the new 'drivers/net/phy/phy/' path is somewhat repetitive but
> unfortunately I do not have another better suggestion.

Me neither.

I wonder if we are looking at the wrong part of the patch.
drivers/net/X/phy/
drivers/net/X/mdio/
drivers/net/X/pcs/

Question is, what would X be?

   Andrew